Bug 98278 - (IEEE1394 SMP)ieee1394 driver not smp safe
(IEEE1394 SMP)ieee1394 driver not smp safe
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-30 08:13 EDT by Per Steinar Iversen
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2003-06-30 08:13:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030505

Description of problem:
When disconnecting and then reconnecting an ieee1394 device the kernel hangs on
smp systems. This does not happen when using a uniprocessor kernel, the problem
is thus likely due to the ieee1394 driver not being smp safe.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Connect ieee1394 disk
2. Disconnect ieee1394 disk
3. 
    

Actual Results:  Kernel hangs, no response, not even SysRq works.

Expected Results:  Nothing much, at most a message about disconnecting the
ieee1394 device.

Additional info:

The problem does not occur when running a uniprocessor kernel.
The hardware is a 2 CPU Dell 2650, 2GB RAM.
Comment 1 Bugzilla owner 2004-09-30 11:41:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.